Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.appresources
Interface ServiceConnector

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ResourceConnector

All Known Subinterfaces:
  PDPAServiceConnector, RPCWebServiceConnector

    public interface ServiceConnector

extends ResourceConnector

A representation of the model object 'Service Connector'. Connettore (astratto) per risorse di tipo "servizio"

The following features are supported:

- `Service Def`
- `Binding`
- `Selector`
- `Use Registry`

See Also:
  `AppresourcesPackage.getServiceConnector()`

Method Summary
`ServiceBinding` | `getBinding()` Returns the value of the 'Binding' reference
`ServiceSelector` | `getSelector()` Returns the value of the 'Selector' containment reference
`ServiceDef` | `getServiceDef()` Returns the value of the 'Service Def' reference
`boolean` | `isUseRegistry()` Returns the value of the 'Use Registry' attribute
`void` | `setBinding(ServiceBinding value)` Sets the value of the '`Binding`' reference
`void` | `setSelector(ServiceSelector value)` Sets the value of the '`Selector`' containment reference
`void` | `setServiceDef(ServiceDef value)` Sets the value of the '`Service Def`' reference
`void` | `setUseRegistry(boolean value)` Sets the value of the '`Use Registry`' attribute

Methods inherited from interface it.csi.mddtools.appresources.ResourceConnector
`getAnnotations, getCode, setCode`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getServiceDef

    ServiceDef getServiceDef()

  Returns the value of the 'Service Def' reference.

  If the meaning of the 'Service Def' reference isn't clear, there really should be more of a description here...

  L'interfaccia logica del servizio associato al connettore

  Returns:
    the value of the 'Service Def' reference.
  See Also:
    `setServiceDef(ServiceDef)`, `AppresourcesPackage.getServiceConnector_ServiceDef()`

### setServiceDef

    void setServiceDef(ServiceDef value)

  Sets the value of the '`Service Def`' reference.

  Parameters:
    `value` - the new value of the 'Service Def' reference.
  See Also:
    `getServiceDef()`

### getBinding

    ServiceBinding getBinding()

  Returns the value of the 'Binding' reference.

  If the meaning of the 'Binding' reference isn't clear, there really should be more of a description here...

  Il binding del servizio associato al connettore

  Returns:
    the value of the 'Binding' reference.
  See Also:
    `setBinding(ServiceBinding)`, `AppresourcesPackage.getServiceConnector_Binding()`

### setBinding

    void setBinding(ServiceBinding value)

  Sets the value of the '`Binding`' reference.

  Parameters:
    `value` - the new value of the 'Binding' reference.
  See Also:
    `getBinding()`

### getSelector

    ServiceSelector getSelector()

  Returns the value of the 'Selector' containment reference. Il selettore del servizio associato al connettore

  Returns:
    the value of the 'Selector' containment reference.
  See Also:
    `setSelector(ServiceSelector)`, `AppresourcesPackage.getServiceConnector_Selector()`

### setSelector

    void setSelector(ServiceSelector value)

  Sets the value of the '`Selector`' containment reference.

  Parameters:
    `value` - the new value of the 'Selector' containment reference.
  See Also:
    `getSelector()`

### isUseRegistry

    boolean isUseRegistry()

  Returns the value of the 'Use Registry' attribute.

  If the meaning of the 'Use Registry' attribute isn't clear, there really should be more of a description here...

  indica se il servizio è indirizzato tramite registry o con configurazione locale al fruitore

  Returns:
    the value of the 'Use Registry' attribute.
  See Also:
    `setUseRegistry(boolean)`, `AppresourcesPackage.getServiceConnector_UseRegistry()`

### setUseRegistry

    void setUseRegistry(boolean value)

  Sets the value of the '`Use Registry`' attribute.

  Parameters:
    `value` - the new value of the 'Use Registry' attribute.
  See Also:
    `isUseRegistry()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD